# Watchtower





#### Full Exclude

Exclure certains containers:

```yaml
# Dans les containers à ignorer:

version: "3"
services:
  someimage:
    container_name: someimage
    labels:
      - "com.centurylinklabs.watchtower.enable=false"
```

Inclure certains containers:

```yaml
# docker-compose de watchtower

WATCHTOWER_LABEL_ENABLE
```

```yaml
# Dans les containers à surveiller:

version: "3"
services:
  someimage:
    container_name: someimage
    labels:
      - "com.centurylinklabs.watchtower.enable=true"
```



#### Monitor only

Par container:

```yaml
version: "3"
services:
  someimage:
    container_name: someimage
    labels:
      - "com.centurylinklabs.watchtower.monitor-only=true"
```

Tous les containers:

```yaml
# docker-compose de watchtower

WATCHTOWER_MONITOR_ONLY
```



https://containrrr.dev/watchtower/

https://www.portainer.io/blog/using-env-files-in-stacks-with-portainer





##### Gotify:

```yaml
  -e WATCHTOWER_NOTIFICATIONS=gotify \
  -e WATCHTOWER_NOTIFICATION_GOTIFY_URL="https://my.gotify.tld/" \
  -e WATCHTOWER_NOTIFICATION_GOTIFY_TOKEN="SuperSecretToken" \
  
  -e WATCHTOWER_NOTIFICATION_GOTIFY_TLS_SKIP_VERIFY=true
```

